Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Headers

AiQL-Workspace
string
required

ID of the workspace the request operates on.

Path Parameters

id
string
required

Body

application/json
title
string | null

Title of the request.

description
string | null

Description of the request.

labels
string[] | null

Labels attached to the request.

assignee_ids
string[] | null

User IDs to assign to the request.

Response

Successful Response

id
string
required

Unique identifier of the request.

title
string
required

Title of the request.

description
string | null
required

Description of the request.

status
string
required

Current status of the request.

created_at
string<date-time>
required

Timestamp when the request was created.

updated_at
string<date-time>
required

Timestamp when the request was last updated.

labels
string[]

Labels attached to the request.

author
UserRef · object | null

Author of the request.

assignees
UserRef · object[]

Users assigned to the request.

opened_at
string<date-time> | null

Timestamp when the request was opened.

changes_requested_at
string<date-time> | null

Timestamp when changes were last requested on the request.

approved_at
string<date-time> | null

Timestamp when the request was approved.

rejected_at
string<date-time> | null

Timestamp when the request was rejected.